Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.properties
Interface IPropertiesRO

All Known Subinterfaces:
  IdeConfig, IdeConfigManager, IProperties

All Known Implementing Classes:
  CompositePropertiesRO, FilteredNamePropertiesRO, NullPropertiesRO

public interface IPropertiesRO

Presents read-only interface to string property.

Author:
  TogetherSoft

Field Summary
`final static IPropertiesRO` | `NULL`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`String` | `getProperty(String key, String defaultValue)` Returns a value of the property specified by its key.
`Enumeration` | `propertyNames()` Returns an enumeration of all the keys in this property list, including the keys in the default property list.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a PropertyChangeListener from the listener list.

Field Detail

### NULL

    public final static IPropertiesRO NULL

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list.
  Parameters:
    listener - The PropertyChangeListener to be added

### getProperty

    public String getProperty(String key, String defaultValue)

  Returns a value of the property specified by its key. This method returns `defaultValue` if the property with the specified key was not found.
  Parameters:
    key - the string with the key
    dafaultValue - the string with the value to be returned if there is no property with the specified key

### propertyNames

    public Enumeration propertyNames()

  Returns an enumeration of all the keys in this property list, including the keys in the default property list.
  Returns: an enumeration of all the keys in this property list, including the keys in the default property list.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a PropertyChangeListener from the listener list.
  Parameters:
    listener - The PropertyChangeListener to be removed

Association Links

to Class com.togethersoft.openapi.util.properties.IPropertiesRO

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD